View Issue Details

IDProjectCategoryView StatusLast Update
0000054FreeCADBugpublic2009-12-14 09:07
Reportersupiik Assigned Toyorik  
PrioritynormalSeveritycrashReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9 
Target VersionFixed in Version0.10 
Summary0000054: Crash after playing with
DescriptionHi,

crash was observed in 0.9 - 2646.

I have created a cone. Than I chosen Offsets the active objects and Trim function.

Best regards
Peter
Additional InformationTraceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1693, in action
    point,ctrlPoint = getPoint(self,arg)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 338, in getPoint
    point = snapPoint(target,point,args["Position"],args["CtrlDown"])
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 156, in snapPoint
    pt = fcgeo.findIntersection(j,k)
  File "/usr/lib/freecad/Mod/Draft/draftlibs/fcgeo.py", line 169, in findIntersection
    d = vec1.dot(toPlane)
UnboundLocalError: local variable 'vec1' referenced before assignment
Pick start point:
Pick end point:
Running the Python command 'Draft_Rotate' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1795, in Activated
    self.proceed()
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1816, in proceed
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typeRunning the Python command 'Draft_Rotate' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1795, in Activated
    self.proceed()
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1816, in proceed
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typeRunning the Python command 'Draft_Rotate' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1795, in Activated
    self.proceed()
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1816, in proceed
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typeRunning the Python command 'Draft_Rotate' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1795, in Activated
    self.proceed()
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1816, in proceed
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typeRunning the Python command 'Draft_Rotate' failed:
Traceback (most recent call last):
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1795, in Activated
    self.proceed()
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 1816, in proceed
    self.arctrack = arcTracker(axis=self.axis)
  File "/usr/lib/freecad/Mod/Draft/Draft.py", line 501, in __init__
    self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation

Cannot find type information for requested typePick distance:
Illegal storage access...
supiik@supiik-laptop:~$
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2009-12-12 21:14

administrator   ~0000058

Hmm in this bug there is actually the same problem as the first one you reported (0000048), which is shown by the self.initrot = FreeCADGui.ActiveDocument.ActiveView.getViewer().getCamera().orientation line (that method was removed in latest revision), but using the trim tool on a cone indeed produces a crash. I'll take care of that...
Thanks for reporting!

yorik

2009-12-12 21:15

administrator   ~0000059

Wow, I just discovered that writing # followed by a number creates a link to that bug number. cool!

yorik

2009-12-13 14:48

administrator   ~0000062

This bug is indeed due to the combination of Offset and Trim tools. Doing Offset on the cone did produce "non-valid" geometry (only one edge was offsetted, resulting in an "impossible" shape) which made the application crash when the Trim tool tried to check if the shape was closed. I now prevented the offset tool to work on objects with multiple faces (it wouldn't have produced any result anyway)

It is now fixed in rev 2736

Thanks for reporting the bug, Peter!

Issue History

Date Modified Username Field Change
2009-12-12 19:14 supiik New Issue
2009-12-12 19:30 Jriegel Status new => assigned
2009-12-12 19:30 Jriegel Assigned To => yorik
2009-12-12 21:14 yorik Note Added: 0000058
2009-12-12 21:15 yorik Note Added: 0000059
2009-12-13 14:48 yorik Note Added: 0000062
2009-12-13 14:48 yorik Status assigned => resolved
2009-12-13 14:48 yorik Fixed in Version => 0.10
2009-12-13 14:48 yorik Resolution open => fixed
2009-12-14 09:07 wmayer Status resolved => closed